## pim-data-exporter 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")
project(pim-data-exporter VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "20.08.3")
set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.13.0")
if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
endif()

set(AKONADI_VERSION "5.15.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
set(KMIME_LIB_VERSION "5.15.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.15.3")

set(MAILCOMMON_LIB_VERSION_LIB "5.15.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
set(AKONADINOTES_LIB_VERSION "5.15.3")

# Find KF5 package
find_package(KF5Archive ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

find_package(KUserFeedback 0.9.90 CONFIG) # Needs Provider::describeDataSources()
set_package_properties(KUserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")


include_directories(${pim-data-exporter_SOURCE_DIR} ${pim-data-exporter_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)


configure_file(pimdataexporter-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pimdataexporter-version.h @ONLY)
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

ecm_qt_install_logging_categories(
        EXPORT PIMDATAEXPORTER
        FILE pimdataexporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


install(FILES org.kde.pimdataexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})


add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== console/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
    ${pim-data-exporter_BINARY_DIR}/console/
    )

set( pimdataexporterconsole_loginfiletest_SRCS loginfiletest.cpp ../loginfile.cpp )

ecm_qt_declare_logging_category(pimdataexporterconsole_loginfiletest_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)



add_executable( pimdataexporterconsole_loginfiletest ${pimdataexporterconsole_loginfiletest_SRCS})
add_test(NAME pimdataexporterconsole_loginfiletest COMMAND pimdataexporterconsole_loginfiletest)
ecm_mark_as_test(pimdataexporterconsole_loginfiletest)
target_link_libraries( pimdataexporterconsole_loginfiletest Qt5::Test)

=== gui/autotests/CMakeLists.txt ===
add_definitions(-DPIMDATAEXPORTER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set( pimdataexporter_kcfg_SRCS ../settings/pimdataexporterglobalconfig.kcfgc )

kconfig_add_kcfg_files(pimdataexporter_kcfg_SRCS ${pimdataexporter_kcfg_SRCS})

add_executable( synchronizeresourcedialogtest synchronizeresourcedialogtest.cpp ../dialog/synchronizeresourcedialog.cpp)
add_test(NAME synchronizeresourcedialogtest COMMAND synchronizeresourcedialogtest)
ecm_mark_as_test(synchronizeresourcedialogtest)
target_link_libraries(synchronizeresourcedialogtest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews KF5::ConfigCore)

set(pimdataexporter_userfeedback_LIB)
if (TARGET KUserFeedbackWidgets)
        set(pimdataexporter_userfeedback_LIB KUserFeedbackWidgets)
endif()

#add_executable( pimdataexporterconfiguredialogtest pimdataexporterconfiguredialogtest.cpp ../dialog/pimdataexporterconfiguredialog.cpp ../widgets/pimdataexporterconfigurewidget.cpp ${pimdataexporter_kcfg_SRCS})
#add_test(NAME pimdataexporterconfiguredialogtest COMMAND pimdataexporterconfiguredialogtest)
#ecm_mark_as_test(pimdataexporterconfiguredialogtest)
#target_link_libraries(pimdataexporterconfiguredialogtest ${pimdataexporter_userfeedback_LIB} Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews KF5::ConfigCore KF5::ConfigGui KF5::WidgetsAddons)


add_executable( pimdataexporterconfigurewidgettest pimdataexporterconfigurewidgettest.cpp ../widgets/pimdataexporterconfigurewidget.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME pimdataexporterconfigurewidgettest COMMAND pimdataexporterconfigurewidgettest)
ecm_mark_as_test(pimdataexporterconfigurewidgettest)
target_link_libraries(pimdataexporterconfigurewidgettest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews KF5::ConfigCore KF5::ConfigGui)


add_executable( selectiontypetreewidgettest selectiontypetreewidgettest.cpp ../widgets/selectiontypetreewidget.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME selectiontypetreewidgettest COMMAND selectiontypetreewidgettest)
ecm_mark_as_test(selectiontypetreewidgettest)
target_link_libraries(selectiontypetreewidgettest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews pimdataexporterprivate KF5::ConfigCore KF5::ConfigGui KF5::PimCommonAkonadi)


add_executable( selectiontypedialogtest selectiontypedialogtest.cpp ../widgets/selectiontypetreewidget.cpp ../dialog/selectiontypedialog.cpp ${pimdataexporter_kcfg_SRCS})
add_test(NAME selectiontypedialogtest COMMAND selectiontypedialogtest)
ecm_mark_as_test(selectiontypedialogtest)
target_link_libraries(selectiontypedialogtest Qt5::Test Qt5::Widgets KF5::I18n KF5::ItemViews pimdataexporterprivate KF5::ConfigCore KF5::ConfigGui KF5::PimCommonAkonadi)

=== gui/tests/CMakeLists.txt ===
include_directories( 
    ${pim-data-exporter_SOURCE_DIR}/core/
    ${pim-data-exporter_BINARY_DIR}/core/
    ${pim-data-exporter_SOURCE_DIR}/gui/
    ${pim-data-exporter_BINARY_DIR}/gui/
    )

set(selectiontreewidget_gui_SRCS selectiontreewidget_gui.cpp ../dialog/selectiontypedialog.cpp ../widgets/selectiontypetreewidget.cpp ../pimdataexportgui_debug.cpp)
add_executable(selectiontreewidget_gui ${selectiontreewidget_gui_SRCS})
target_link_libraries(selectiontreewidget_gui
    KF5::AkonadiCore
    KF5::AkonadiPrivate
    KF5::MailCommon
    KF5::PimCommon
    KF5::Archive
    pimdataexporterprivate
    KF5::ItemViews
    KF5::I18n
    )

set(showarchivestructuredialog_gui_SRCS showarchivestructuredialog_gui.cpp ../dialog/showarchivestructuredialog.cpp ../pimdataexportgui_debug.cpp)
add_executable(showarchivestructuredialog_gui ${showarchivestructuredialog_gui_SRCS})
target_link_libraries(showarchivestructuredialog_gui
    KF5::AkonadiCore
    KF5::AkonadiPrivate
    KF5::MailCommon
    KF5::PimCommon
    KF5::Archive
    pimdataexporterprivate
    KF5::ItemViews
    KF5::I18n
    KF5::KIOWidgets
    )

=== core/autotests/alarm/CMakeLists.txt ===
add_definitions( -DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

set( exportalarmjobinterfacetest_SRCS exportalarmjobinterfacetest.cpp exportalarmjobinterfacetestimpl.cpp)

add_executable( exportalarmjobinterfacetest ${exportalarmjobinterfacetest_SRCS})
add_test(NAME exportalarmjobinterfacetest COMMAND exportalarmjobinterfacetest)
ecm_mark_as_test(exportalarmjobinterfacetest)
target_link_libraries(exportalarmjobinterfacetest Qt5::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter)

#####

set( importalarmjobinterfacetest_SRCS importalarmjobinterfacetest.cpp importalarmjobinterfacetestimpl.cpp)

add_executable( importalarmjobinterfacetest ${importalarmjobinterfacetest_SRCS})
add_test(NAME importalarmjobinterfacetest COMMAND importalarmjobinterfacetest)
ecm_mark_as_test(importalarmjobinterfacetest)
target_link_libraries(importalarmjobinterfacetest Qt5::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter)

=== core/autotests/mail/CMakeLists.txt ===
add_definitions( -DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

set( exportmailjobinterfacetest_SRCS exportmailjobinterfacetest.cpp exportmailjobinterfacetestimpl.cpp)

add_executable( exportmailjobinterfacetest ${exportmailjobinterfacetest_SRCS})
add_test(NAME exportmailjobinterfacetest COMMAND exportmailjobinterfacetest)
ecm_mark_as_test(exportmailjobinterfacetest)
target_link_libraries(exportmailjobinterfacetest Qt5::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter KF5::Mime)

#####

set( importmailjobinterfacetest_SRCS importmailjobinterfacetest.cpp importmailjobinterfacetestimpl.cpp)

add_executable( importmailjobinterfacetest ${importmailjobinterfacetest_SRCS})
add_test(NAME importmailjobinterfacetest COMMAND importmailjobinterfacetest)
ecm_mark_as_test(importmailjobinterfacetest)
target_link_libraries(importmailjobinterfacetest Qt5::Test pimdataexporterprivate KF5::ConfigCore KF5::AkonadiMime test_resourceconverter KF5::IdentityManagement KF5::Mime)

=== debian/changelog ===
pim-data-exporter (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.
  * Fix copyright for org.kde.pimdataexporter.appdata.xml.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:25 +0100

pim-data-exporter (4:20.08.2-3) unstable; urgency=medium

  * Add kuserfeedback-dev to B-D.

 -- Sandro Knauß <hefee@debian.org>  Mon, 26 Oct 2020 23:55:15 +0100

pim-data-exporter (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:04 +0200

pim-data-exporter (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * remove eplictit call of dh_makeshlibs -V, as it is Debian default.
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:38 +0200

pim-data-exporter (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:11 +0200

pim-data-exporter (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Fix syntax of lintian-overrides.
  * Cleanup copyright file.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:26:27 +0200

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               kuserfeedback-dev (>= 0.9.90~),
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadinotes-dev (>= 4:20.08.3~),
               libkf5archive-dev (>= 5.71.0~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5identitymanagement-dev (>= 20.08.3~),
               libkf5itemviews-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5libkdepim-dev (>= 4:20.04.1~),
               libkf5mailcommon-dev (>= 4:20.08.3~),
               libkf5mailtransport-dev (>= 20.08.3~),
               libkf5mime-dev (>= 20.08.3~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               libkf5pimtextedit-dev (>= 20.08.3~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/pim-data-exporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-data-exporter.git
Rules-Requires-Root: no

Package: pim-data-exporter
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel

## pim-data-exporter 20.12.3

=== debian/changelog ===
pim-data-exporter (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)
  * Remove old lintian override.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:30:21 +0000

pim-data-exporter (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:03:40 +0000

pim-data-exporter (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:16:19 +0000

pim-data-exporter (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:36:52 +0000

pim-data-exporter (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 10:01:05 +0000

=== debian/control ===
Source: pim-data-exporter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadicontact-dev (>= 4:20.12.3~),
               libkf5akonadimime-dev (>= 4:20.12.3~),
               libkf5akonadinotes-dev (>= 4:20.12.3~),
               libkf5akonadiserver-dev (>= 4:20.12.3~),
               libkf5alarmcalendar-dev (>= 4:20.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:20.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 20.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5imap-dev (>= 20.12.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5mailcommon-dev (>= 4:20.12.3~),
               libkf5mailtransport-dev (>= 20.12.3~),
               libkf5messagecomposer-dev (>= 4:20.12.3~),
               libkf5mimetreeparser-dev (>= 4:20.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 20.12.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:20.12.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webengineviewer-dev (>= 4:20.12.3~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-data-exporter

Package: pim-data-exporter
Section: utils
Architecture: any
Depends: kinit, kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: kmail (<< 4:16.11.90), ${kde-l10n:all}
Breaks: kmail (<< 4:16.11.90), ${kde-l10n:all}
Description: back up and archive PIM data
 An application to assist you with backing up and archiving PIM data,
 including the necessary configuration, for archival or transfer to another
 computer.
 .

## pim-data-exporter 21.08.1

=== debian/changelog ===
pim-data-exporter (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:57 +0100

pim-data-exporter (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:11:54 +0100

pim-data-exporter (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:06:32 +0100

pim-data-exporter (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:45:15 +0100

pim-data-exporter (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:53:12 +0100

pim-data-exporter (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:50:50 +0100

pim-data-exporter (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:17:09 +0100

pim-data-exporter (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add kuserfeedback-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:48:48 +0100

=== debian/control ===
--- 
+++ 
@@ -13,24 +13,25 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
+               kuserfeedback-dev,
                libassuan-dev,
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadicontact-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
-               libkf5akonadinotes-dev (>= 4:20.12.3~),
-               libkf5akonadiserver-dev (>= 4:20.12.3~),
-               libkf5alarmcalendar-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadicontact-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
+               libkf5akonadinotes-dev (>= 4:21.08.1~),
+               libkf5akonadiserver-dev (>= 4:21.08.1~),
+               libkf5alarmcalendar-dev (>= 4:21.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:20.12.3~),
+               libkf5calendarsupport-dev (>= 4:21.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.3~),
+               libkf5contacteditor-dev (>= 4:21.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -38,30 +39,30 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 20.12.3~),
+               libkf5imap-dev (>= 21.08.1~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5mailcommon-dev (>= 4:20.12.3~),
-               libkf5mailtransport-dev (>= 20.12.3~),
-               libkf5messagecomposer-dev (>= 4:20.12.3~),
-               libkf5mimetreeparser-dev (>= 4:20.12.3~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5mailcommon-dev (>= 4:21.08.1~),
+               libkf5mailtransport-dev (>= 21.08.1~),
+               libkf5messagecomposer-dev (>= 4:21.08.1~),
+               libkf5mimetreeparser-dev (>= 4:21.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 20.12.3~),
+               libkf5pimtextedit-dev (>= 21.08.1~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.3~),
+               libkf5templateparser-dev (>= 4:21.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:20.12.3~),
+               libkf5webengineviewer-dev (>= 4:21.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),

## pim-data-exporter 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")
project(pim-data-exporter VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "21.12.3")
set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.15.2")
if(BUILD_TESTING)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
endif()

set(AKONADI_VERSION "5.19.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.19.3")
set(KMAILTRANSPORT_LIB_VERSION "5.19.3")
set(KMIME_LIB_VERSION "5.19.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.19.3")

set(MAILCOMMON_LIB_VERSION "5.19.3")
set(PIMCOMMON_LIB_VERSION "5.19.3")
set(AKONADINOTES_LIB_VERSION "5.19.3")

# Find KF5 package
find_package(KF5Archive ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)

find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)


# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)

find_package(KUserFeedback 1.0.0 CONFIG)
set_package_properties(KUserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")


include_directories(${pim-data-exporter_SOURCE_DIR} ${pim-data-exporter_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"pimdataexporter\")

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

configure_file(pimdataexporter-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pimdataexporter-version.h @ONLY)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(core)
add_subdirectory(gui)
add_subdirectory(console)

ecm_qt_install_logging_categories(
        EXPORT PIMDATAEXPORTER
        FILE pimdataexporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


install(FILES org.kde.pimdataexporter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

if(KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
add_library(pimdataexporterprivate)

target_sources(pimdataexporterprivate PRIVATE
    calendar/exportcalendarjobinterfaceimpl.cpp
    calendar/importcalendarjobinterfaceimpl.cpp

    addressbook/exportaddressbookjobinterfaceimpl.cpp
    addressbook/importaddressbookjobinterfaceimpl.cpp

    mail/exportmailjobinterfaceimpl.cpp
    mail/importmailjobinterfaceimpl.cpp
    mail/importexportmailutil.cpp
    mail/smtpmailtransport.cpp

    alarm/exportalarmjobinterfaceimpl.cpp
    alarm/importalarmjobinterfaceimpl.cpp

    notes/exportnotesjobinterface.cpp
    notes/importnotesjobinterface.cpp
    calendar/exportcalendarjobinterface.cpp
    calendar/importcalendarjobinterface.cpp
    addressbook/exportaddressbookjobinterface.cpp
    addressbook/importaddressbookjobinterface.cpp
    alarm/importalarmjobinterface.cpp
    alarm/exportalarmjobinterface.cpp
    mail/exportmailjobinterface.cpp
    mail/importmailjobinterface.cpp

    notes/exportnotesjobinterfaceimpl.cpp
    notes/importnotesjobinterfaceimpl.cpp
    xml/templateselection.cpp
    akregator/exportakregatorjobinterface.cpp
    akregator/importakregatorjobinterface.cpp

    abstractimportexportjob.cpp
    pimdataexporterkernel.cpp
    utils.cpp
    archivestorage.cpp
    synchronizeresourcejob.cpp
    pimdatabackuprestore.cpp
    importexportprogressindicatorbase.cpp
    pimdatabackupthread.cpp
    exportresourcearchivejob.cpp
    pimdataimportdatainfofile.cpp
    resourceconverterbase.cpp
    resourceconverterimpl.cpp
    storeresourcejob.cpp
    backupresourcefilejobbase.cpp
    backupresourcefilejobimpl.cpp
    utils.h
    alarm/exportalarmjobinterface.h
    alarm/importalarmjobinterfaceimpl.h
    alarm/exportalarmjobinterfaceimpl.h
    alarm/importalarmjobinterface.h
    abstractimportexportjob.h
    backupresourcefilejobimpl.h
    akregator/importakregatorjobinterface.h
    akregator/exportakregatorjobinterface.h
    pimdatabackupthread.h
    xml/templateselection.h
    pimdataimportdatainfofile.h
    mail/smtpmailtransport.h
    mail/importmailjobinterfaceimpl.h
    mail/importmailjobinterface.h
    mail/exportmailjobinterfaceimpl.h
    mail/importexportmailutil.h
    mail/exportmailjobinterface.h
    resourceconverterbase.h
    notes/importnotesjobinterfaceimpl.h
    notes/exportnotesjobinterface.h
    notes/importnotesjobinterface.h
    notes/exportnotesjobinterfaceimpl.h
    storeresourcejob.h
    calendar/exportcalendarjobinterfaceimpl.h
    calendar/importcalendarjobinterfaceimpl.h
    calendar/exportcalendarjobinterface.h
    calendar/importcalendarjobinterface.h
    pimdataexporterkernel.h
    importexportprogressindicatorbase.h
    resourceconverterimpl.h
    archivestorage.h
    pimdataexportercore_private_export.h
    pimdatabackuprestore.h
    addressbook/exportaddressbookjobinterface.h
    addressbook/exportaddressbookjobinterfaceimpl.h
    addressbook/importaddressbookjobinterfaceimpl.h
    addressbook/importaddressbookjobinterface.h
    exportresourcearchivejob.h
    synchronizeresourcejob.h
    backupresourcefilejobbase.h

    )

ecm_qt_declare_logging_category(pimdataexporterprivate HEADER pimdataexportcore_debug.h IDENTIFIER PIMDATAEXPORTERCORE_LOG CATEGORY_NAME org.kde.pim.pimdataexportercore
        DESCRIPTION "pimdataexporter (pimdataexporter lib core)"
        OLD_CATEGORY_NAMES log_pimsettingexportercore org.kde.pim.pimsettingexportercore
        EXPORT PIMDATAEXPORTER
    )


if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(pimdataexporterprivate PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(pimdataexporterprivate BASE_NAME pimdataexporter)



target_link_libraries(pimdataexporterprivate
    PRIVATE
    KF5::AkonadiCore
    KF5::Mime
    KF5::MailTransport
    KF5::MailCommon
    KF5::Archive
    KF5::PimCommonAkonadi
    KF5::I18n
    KF5::CalendarCore
    KF5::AkonadiNotes
    )

set_target_properties(pimdataexporterprivate PROPERTIES VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION})

install(TARGETS pimdataexporterprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== console/autotests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
    ${pim-data-exporter_BINARY_DIR}/console/
    )

ecm_qt_declare_logging_category(pimdataexporterconsole_loginfiletest_SRCS HEADER pimdataexportconsole_debug.h IDENTIFIER PIMDATAEXPORTERCONSOLE_LOG CATEGORY_NAME org.kde.pim.pimdataexporterconsole)



add_executable( pimdataexporterconsole_loginfiletest loginfiletest.cpp ../loginfile.cpp ${pimdataexporterconsole_loginfiletest_SRCS})
add_test(NAME pimdataexporterconsole_loginfiletest COMMAND pimdataexporterconsole_loginfiletest)
ecm_mark_as_test(pimdataexporterconsole_loginfiletest)
target_link_libraries( pimdataexporterconsole_loginfiletest Qt::Test)

=== core/autotests/CMakeLists.txt ===
####
add_executable( utilstest utilstest.cpp)
add_test(NAME utilstest COMMAND utilstest)
ecm_mark_as_test(utilstest)
target_link_libraries( utilstest Qt::Test pimdataexporterprivate KF5::ConfigCore)

#####
add_library(test_resourceconverter STATIC
    resourceconvertertest.cpp
    generatelistfilefromarchive.cpp
    loadlistfromfile.cpp
    compareexportfile.cpp
    compareimportfile.cpp
    testexportfile.cpp
    testimportfile.cpp
    logcreatingressource.cpp
    comparefilehelper.cpp
    exportimportutil.cpp
    saveresourceconfigtest.cpp
    compareloggingfile.cpp
    testbackupresourcefilejob.cpp
    importexportprogressindicatortest.cpp
)
if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(test_resourceconverter PROPERTIES UNITY_BUILD ON)
endif()
target_link_libraries(test_resourceconverter PUBLIC KF5::ConfigCore pimdataexporterprivate KF5::Archive Qt::Test KF5::AkonadiCore KF5::WidgetsAddons)


#####
add_executable( resourceconverterclasstest resourceconverterclasstest.cpp)
add_test(NAME resourceconverterclasstest COMMAND resourceconverterclasstest)
ecm_mark_as_test(resourceconverterclasstest)
target_link_libraries( resourceconverterclasstest Qt::Test KF5::ConfigCore test_resourceconverter)

#####
add_executable( backupresourcefilejobimpltest backupresourcefilejobimpltest.cpp)
add_test(NAME backupresourcefilejobimpltest COMMAND backupresourcefilejobimpltest)
ecm_mark_as_test(backupresourcefilejobimpltest)
target_link_libraries( backupresourcefilejobimpltest Qt::Test KF5::ConfigCore pimdataexporterprivate KF5::Archive)
###

add_subdirectory(notes)
add_subdirectory(calendar)
add_subdirectory(addressbook)
add_subdirectory(alarm)
add_subdirectory(akregator)
add_subdirectory(mail)

=== core/autotests/akregator/CMakeLists.txt ===
add_definitions( -DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

set( exportakregatorjobinterfacetest_SRCS exportakregatorjobinterfacetest.cpp exportakregatorjobinterfacetestimpl.cpp)

add_executable( exportakregatorjobinterfacetest ${exportakregatorjobinterfacetest_SRCS})
add_test(NAME exportakregatorjobinterfacetest COMMAND exportakregatorjobinterfacetest)
ecm_mark_as_test(exportakregatorjobinterfacetest)
target_link_libraries(exportakregatorjobinterfacetest Qt::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter)

#####

set( importakregatorjobinterfacetest_SRCS importakregatorjobinterfacetest.cpp importakregatorjobinterfacetestimpl.cpp)

add_executable( importakregatorjobinterfacetest ${importakregatorjobinterfacetest_SRCS})
add_test(NAME importakregatorjobinterfacetest COMMAND importakregatorjobinterfacetest)
ecm_mark_as_test(importakregatorjobinterfacetest)
target_link_libraries(importakregatorjobinterfacetest Qt::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter)

=== core/autotests/calendar/CMakeLists.txt ===
add_definitions( -DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

set( exportcalendarsjobinterfacetest_SRCS exportcalendarsjobinterfacetest.cpp exportcalendarsjobinterfacetestimpl.cpp)

add_executable( exportcalendarsjobinterfacetest ${exportcalendarsjobinterfacetest_SRCS})
add_test(NAME exportcalendarsjobinterfacetest COMMAND exportcalendarsjobinterfacetest)
ecm_mark_as_test(exportcalendarsjobinterfacetest)
target_link_libraries(exportcalendarsjobinterfacetest Qt::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter)

#####

set( importcalendarjobinterfacetest_SRCS importcalendarjobinterfacetest.cpp importcalendarjobinterfacetestimpl.cpp)

add_executable( importcalendarjobinterfacetest ${importcalendarjobinterfacetest_SRCS})
add_test(NAME importcalendarjobinterfacetest COMMAND importcalendarjobinterfacetest)
ecm_mark_as_test(importcalendarjobinterfacetest)
target_link_libraries(importcalendarjobinterfacetest Qt::Test pimdataexporterprivate KF5::ConfigCore test_resourceconverter)

=== core/autotests/notes/CMakeLists.txt ===
add_definitions( -DPIMDATAEXPORTER_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data" )

set( exportnotesjobinterfacetest_SRCS exportnotesjobinterfacetest.cpp exportnotesjobinterfacetestimpl.cpp)

add_executable( exportnotesjobinterfacetest ${exportnotesjobinterfacetest_SRCS})
add_test(NAME exportnotesjobinterfacetest COMMAND exportnotesjobinterfacetest)
ecm_mark_as_test(exportnotesjobinterfacetest)
target_link_libraries( exportnotesjobinterfacetest Qt::Test pimdataexporterprivate test_resourceconverter KF5::ConfigCore KF5::Archive KF5::AkonadiCore)
#######

set( importnotesjobinterfacetest_SRCS importnotesjobinterfacetest.cpp importnotesjobinterfacetestimpl.cpp)

add_executable( importnotesjobinterfacetest ${importnotesjobinterfacetest_SRCS})
add_test(NAME importnotesjobinterfacetest COMMAND importnotesjobinterfacetest)
ecm_mark_as_test(importnotesjobinterfacetest)
target_link_libraries( importnotesjobinterfacetest Qt::Test pimdataexporterprivate test_resourceconverter KF5::ConfigCore KF5::Archive)

=== debian/changelog ===
pim-data-exporter (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:20:06 +0000

pim-data-exporter (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:26:41 +0000

pim-data-exporter (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:34:32 +0000

pim-data-exporter (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:31:33 +0000

pim-data-exporter (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:26:56 +0000

pim-data-exporter (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:44 +0000

pim-data-exporter (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:49:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pim-data-exporter
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,7 +11,7 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
                kuserfeedback-dev,
@@ -18,20 +19,20 @@
                libboost-dev (>= 1.40.0-2),
                libboost-graph-dev (>= 1.40.0-2),
                libgpgme11-dev,
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadicontact-dev (>= 4:21.08.1~),
-               libkf5akonadimime-dev (>= 4:21.08.1~),
-               libkf5akonadinotes-dev (>= 4:21.08.1~),
-               libkf5akonadiserver-dev (>= 4:21.08.1~),
-               libkf5alarmcalendar-dev (>= 4:21.08.1~),
+               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadicontact-dev (>= 4:21.12.3~),
+               libkf5akonadimime-dev (>= 4:21.12.3~),
+               libkf5akonadinotes-dev (>= 4:21.12.3~),
+               libkf5akonadiserver-dev (>= 4:21.12.3~),
+               libkf5alarmcalendar-dev (>= 4:21.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:21.08.1~),
+               libkf5calendarsupport-dev (>= 4:21.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.1~),
+               libkf5contacteditor-dev (>= 4:21.12.3~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -39,30 +40,30 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.08.1~),
+               libkf5grantleetheme-dev (>= 21.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 21.08.1~),
+               libkf5imap-dev (>= 21.12.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.08.1~),
-               libkf5mailcommon-dev (>= 4:21.08.1~),
-               libkf5mailtransport-dev (>= 21.08.1~),
-               libkf5messagecomposer-dev (>= 4:21.08.1~),
-               libkf5mimetreeparser-dev (>= 4:21.08.1~),
+               libkf5libkdepim-dev (>= 4:21.12.3~),
+               libkf5mailcommon-dev (>= 4:21.12.3~),
+               libkf5mailtransport-dev (>= 21.12.3~),
+               libkf5messagecomposer-dev (>= 4:21.12.3~),
+               libkf5mimetreeparser-dev (>= 4:21.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 21.08.1~),
+               libkf5pimtextedit-dev (>= 21.12.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:21.08.1~),
+               libkf5templateparser-dev (>= 4:21.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:21.08.1~),
+               libkf5webengineviewer-dev (>= 4:21.12.3~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
